Skip to main content
POST
curl
The settings must first be captured with the saveVariantSettings operation. To revert previously applied settings on the control index, use this operation with the control variant (variant 1). Settings can be applied up to 14 days after the A/B test ends, and reverted up to 15 days after. Later requests return 400. Each set of captured settings can only be applied once, and settings that were reverted can’t be applied again. Both cases return 400. The control index must not be in use by an active A/B test. Otherwise, the request returns 422. Required ACL: analytics, editSettings

Authorizations

x-algolia-application-id
string
header
required

Your Algolia application ID.

x-algolia-api-key
string
header
required

Your Algolia API key with the necessary permissions to make the request. Permissions are controlled through access control lists (ACL) and access restrictions. The required ACL to make a request is listed in each endpoint's reference.

Path Parameters

id
integer
required

Unique A/B test identifier.

Example:

224

variantId
integer
required

One-based index of the A/B test variant. The control is variant 1.

Required range: x >= 1
Example:

2

Response

OK

Last modified on October 12, 2026